Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.optionable
Interface Optionable

All Known Implementing Classes:
  OptionableJFrame, OptionableJSplitPane

public interface Optionable

Optionable.java An object implementing this interface may be in several different states, that is provide options. These options can then be stored or in other ways treated at some time point, and may also need to be set at some point. Essentially this interface was written to provide an easy way of serialising user defined options. The options should be provided in the form of a hashtable. Every Optionable object must provide a name by which it wants to group its options, so that instances of an object do not (necessarily) conflict with each others options Created: Mon Feb 01 16:11:12 1999

Version:
  $Id: Optionable.java,v 1.6 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Method Summary
`String` | `getOptionGroupName()` This string is used as an identifier for the groups of options.
`OptionHandler` | `getOptionHandler()` Get the value of OptionHandler.
`Object` | `getOptions()` This method provides the current state of object as a map of objects
`void` | `setOptionHandler(OptionHandler OptionHandler)` Set the value of OptionHandler.
`void` | `setOptions(Object options)` Sets the options for this object

Method Detail

### getOptionGroupName

    public String getOptionGroupName()

  This string is used as an identifier for the groups of options. It will probably be used on a per-instance basis, but could also be shared by all members of a class or by an entire application. It should probably however remain constant over time for any given Optionable object If more than one optionable object is registered with the same option handler and have the same group name the options retrieved from one object will over ride all of the others.

  Returns:
    the string by the group of options is known

### getOptions

    public Object getOptions()

  This method provides the current state of object as a map of objects

  Returns:
    the options

### setOptions

    public void setOptions(Object options)

  Sets the options for this object

### getOptionHandler

    public OptionHandler getOptionHandler()

  Get the value of OptionHandler.

  Returns:
    Value of OptionHandler.

### setOptionHandler

    public void setOptionHandler(OptionHandler OptionHandler)

  Set the value of OptionHandler.

  Parameters:
    `OptionHandler` - the value to assign to OptionHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD